Yandex Cloud
Search
Discuss with expertTry it for free
  • Customer Stories
  • Documentation
  • Blog
  • All Services
  • System Status
  • Marketplace
    • Featured
    • Infrastructure & Network
    • Data Platform
    • AI for business
    • Security
    • DevOps tools
    • Serverless
    • Monitoring & Resources
  • All Solutions
    • By industry
    • By use case
    • Economics and Pricing
    • Security
    • Technical Support
    • Start testing with double trial credits
    • Cloud credits to scale your IT product
    • Gateway to Russia
    • Cloud for Startups
    • Center for Technologies and Society
    • Yandex Cloud Partner program
    • Price calculator
    • Pricing plans
  • Customer Stories
  • Documentation
  • Blog
© 2026 Direct Cursus Technology L.L.C.
Yandex Smart Web Security
  • Getting started
    • Overview
    • Security profiles
    • WAF
    • ARL (request limit)
    • Rules
    • Conditions
    • Lists
    • Managing bot traffic
    • Protecting domains
    • Response templates
    • Logging
    • Quotas and limits
  • Access management
  • Pricing policy
  • Terraform reference
    • API authentication
      • Overview
        • Overview
          • Overview
          • Get
          • List
          • Create
          • Update
  • Monitoring metrics
  • Audit Trails events
  • Release notes

In this article:

  • HTTP request
  • Query parameters
  • Response
  • MatchList
  • Item
  1. API reference
  2. REST
  3. SmartWebSecurity MatchList API
  4. MatchList
  5. List

SmartWebSecurity MatchList API, REST: MatchList.List

Written by
Yandex Cloud
Updated at July 1, 2026
View in Markdown
  • HTTP request
  • Query parameters
  • Response
  • MatchList
  • Item

Retrieves the list of MatchList resources in the specified folder.

HTTP requestHTTP request

GET https://smartwebsecurity.api.cloud.yandex.net/smartwebsecurity/v1/matchLists

Query parametersQuery parameters

Request message for MatchListService.List.

Field

Description

folderId

string

Required field. ID of the folder to list match lists in.

ResponseResponse

HTTP Code: 200 - OK

{
  "lists": [
    {
      "id": "string",
      "folderId": "string",
      "cloudId": "string",
      "labels": "object",
      "name": "string",
      "description": "string",
      "listType": "string",
      "itemType": "string",
      "items": [
        {
          "value": "string",
          "description": "string"
        }
      ],
      "createdAt": "string",
      "updatedAt": "string"
    }
  ]
}

Response message for MatchListService.List.

Field

Description

lists[]

MatchList

List of match list resources.

MatchListMatchList

A match list resource.

Field

Description

id

string

ID of the match list.

folderId

string

ID of the folder that the match list belongs to.

cloudId

string

ID of the cloud that the match list belongs to.

labels

object (map<string, string>)

Labels as key:value pairs. Maximum of 64 per resource.

The maximum string length in characters for each value is 63. The string length in characters for each key must be 1-63. Each key must match the regular expression [a-z][-_0-9a-z]*. Each value must match the regular expression [-_0-9a-z]*. No more than 64 per resource.

name

string

Required field. Name of the match list.

The string length in characters must be 1-50. Value must match the regular expression [a-zA-Z0-9][a-zA-Z0-9-_.]*.

description

string

Description of the match list.

The maximum string length in characters is 512.

listType

enum (ListType)

Required field. Match list type.

  • MANAGED: Managed list type.
  • CUSTOM: Custom list type.

itemType

enum (ItemType)

Required field. Match list item type.

  • IP: IP list type.
  • BOT_NAME: Bot name list type.
  • BOT_CATEGORY: Bot category list type.
  • ASN: ASN list type.
  • STR: String list type.
  • REG_EXP: Regular expression list type.

items[]

Item

Match list items.

createdAt

string (date-time)

Creation timestamp in RFC3339 text format.

String in RFC3339 text format. The range of possible values is from
0001-01-01T00:00:00Z to 9999-12-31T23:59:59.999999999Z, i.e. from 0 to 9 digits for fractions of a second.

To work with values in this field, use the APIs described in the
Protocol Buffers reference.
In some languages, built-in datetime utilities do not support nanosecond precision (9 digits).

updatedAt

string (date-time)

Update timestamp in RFC3339 text format.

String in RFC3339 text format. The range of possible values is from
0001-01-01T00:00:00Z to 9999-12-31T23:59:59.999999999Z, i.e. from 0 to 9 digits for fractions of a second.

To work with values in this field, use the APIs described in the
Protocol Buffers reference.
In some languages, built-in datetime utilities do not support nanosecond precision (9 digits).

ItemItem

Item

Field

Description

value

string

Required field. Value of the item.

The maximum string length in characters is 256.

description

string

Description of the item.

The maximum string length in characters is 128.

Was the article helpful?

Previous
Get
Next
Create
© 2026 Direct Cursus Technology L.L.C.